%define realname siefs


Name: fuse-siefs
Version: 0.5
Release: 2%{?dist}

Summary: Work with storage memory of Siemens mobiles via datacable
Summary(ru_RU.UTF-8): Работа с памятью мобильных телефонов Сименс
License: GPL
Group: Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Url: http://chaos.allsiemens.com/siefs/
Source: %{realname}-%{version}.tar.gz
Patch0: siefs-0.5-alt-fuse-pkgconfig.patch
Patch1: siefs-0.5-alt-fix-getdir.patch
Patch2: siefs-0.5-alt-fix-qwe3-close.patch
Patch3: siefs-0.5-alt-utf-8.patch
Patch4: siefs-0.5-alt-includes.patch
Patch5: siefs-0.5-alt-command-line.patch
Patch6: siefs-0.5-alt-man-pages.patch

Requires: mount >= 2.11
Requires: fuse

Provides: SieFS
Obsoletes: SieFS

# Automatically added by buildreq on Sun Nov 27 2005
BuildRequires: fuse-devel, autoconf, automake
BuildRequires: fuse >= 2.2

%description
SieFS is a virtual filesystem for accessing a storage memory (flexmem or
MultiMediaCard) of Siemens mobile phones via datacable, IRDA or
BlueTooth.  It is currently tested on S45, ME45, SL45(i), S55, SL55,
M55, MC60, CX65, M65, but should work also on C55/M50/MT50 with enabled
serial interface.  There should not be any problems with other new
Siemens phones (C60, S65, etc).

SieFS consists of filesystem module (siefs) and command-line utility
(slink).  SieFS depends on Filesystem in USErspace (FUSE) package.

The syntax of mount command is:

  "siefs [-o options] COMM_DEVICE MOUNT_DIR"
  "mount -t siefs [-o options] COMM_DEVICE MOUNT_DIR".

After mounting, the phone's memory will be visible as an ordinary
directory with files, you can copy, move, delete files, create
directories on it.  You can enter mount command when your mobile is not
connected to PC.  Also you can connect and disconnect it at any time
without need to remount filesystem.

For automatic mounting, add something like this to your /etc/fstab:

  "siefs  /mnt/mobile  siefs  device=/dev/ttyS0,allow_other  0 0".

slink is an utility for working with phone's memory without mounting.
Type "slink -h" to view all supported commands.

%description -l ru_RU.UTF-8
SieFS - это виртуальная файловая система для доступа к памяти (flexmem
или MultiMediaCard) мобильных телефонов Сименс через кабель передачи
данных, инфракрасный порт или BlueTooth.  Текущая версия тестировалась
на S45, ME45, SL45(i), S55, SL55, M55, MC60, CX65, M65, но должна
работать также на C55/M50/MT50, подключающихся через последовательный
интерфейс.  Также не должно быть проблем с другими новыми мобилками от
Сименс (C60, S65, etc).

Пакет SieFS содержит модуль файловой системы (siefs) и консольную
утилиту (slink).  SieFS зависит от пакета FUSE (Filesystem in
USErspace), который взаимодействует с ядром Линукс.

Команда монтирования памяти телефона имеет следующий синтаксис:

  "siefs [-o options] COMM_DEVICE MOUNT_DIR"
  "mount -t siefs [-o options] COMM_DEVICE MOUNT_DIR".

После монтирования память телефона будет выглядеть как обычный каталог с
файлами, вы сможете копировать, перемещать, удалять файлы, создавать
каталоги в памяти телефона.  Вы можете вводить команду монтирования,
даже когда телефон не подключен к компьютеру.  Также Вы можете
подсоединять и отсоединять телефон в любое время без перемонтирования.

Для автоматического монтирования, добавьте в "/etc/fstab" строку,
подобную этой:

  "siefs  /mnt/mobile  siefs  device=/dev/ttyS0,allow_other  0 0".

slink - утилита для работы с памятью телефона без монтирования.
Чтобы посмотреть все доступные команды, используйте "slink -h".

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
autoreconf -vif
%configure
make

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/sbin
ln -sf %{_bindir}/siefs $RPM_BUILD_ROOT/sbin/mount.siefs 
rm $RPM_BUILD_ROOT/%{_bindir}/vmo2wav

%clean
rm -rf $RPM_BUILD_ROOT


%files
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
/sbin/mount.siefs
%doc README AUTHORS COPYING

%changelog
* Tue Feb 19 2008 Chelban Vasile <vchelban@fedoramd.org> 0.5-2
- missing deps
- spec file UTF8 compatible
- added symlink to /sbin/mount.siefs

* Wed Apr 18 2007 Chelban Vasile <vchelban@gmail.com> 0.5-1
- rebuild for Fedora

* Wed Feb 21 2007 Denis Smirnov <mithraen@altlinux.ru> 0.5-alt8
- rebuild with new fuse
- remove dependency to fuse version

* Sun Dec 31 2006 Sergey Vlasov <vsu@altlinux.ru> 0.5-alt7
- Use BuildRequires(pre) to fix build with gear --hasher.
- Fixed autogenerated dependency on current fuse version.
- Removed obsolete siefs-0.4 patches from the package.
- Added patches:
  + siefs-0.5-alt-fuse-pkgconfig.patch: use pkgconfig to find fuse headers and
    library (fixes possibly wrong compilation options and broken Makefile.am
    which did not work on x86_64)
  + siefs-0.5-alt-fix-getdir.patch: remove duplicate encoding conversion in
    getdir() which breaks with non-ASCII directory names
  + siefs-0.5-alt-fix-qwe3-close.patch: fix AT^SQWE=3 protocol close sequence
    (upstream fix added in 0.5 is incomplete)
  + siefs-0.5-alt-utf-8.patch: accept "utf-8" as a name for UTF-8
  + siefs-0.5-alt-includes.patch: add missing includes to avoid implicit
    declarations
  + siefs-0.5-alt-command-line.patch: enhanced command line parsing to allow
    passing of mount options and special command line options to the FUSE
    library (required for use in fstab to pass allow_other)
  + siefs-0.5-alt-man-pages.patch: add man page for siefs
- Removed BuildArch: i586 (now the package builds on x86_64).

* Fri Dec 15 2006 Denis Smirnov <mithraen@altlinux.ru> 0.5-alt6
- rebuild with new fuse

* Sun Nov 27 2005 Denis Smirnov <mithraen@altlinux.ru> 0.5-alt5
- rebuild with new fuse

* Tue Nov 22 2005 Denis Smirnov <mithraen@altlinux.ru> 0.5-alt4
- rebuild with last fuse

* Tue Oct 11 2005 Denis Smirnov <mithraen@altlinux.ru> 0.5-alt3
- rebuild with last fuse

* Fri Jun 10 2005 Denis Smirnov <mithraen@altlinux.ru> 0.5-alt2
- rebuild with fuse 2.3

* Fri Apr 22 2005 Denis Smirnov <mithraen@altlinux.ru> 0.5-alt1
- version update

* Sun Feb 13 2005 Sergey Vlasov <vsu@altlinux.ru> 0.4-alt1
- Version 0.4.
- Updated and reformatted %%description.
- Added patches:
  + siefs-0.4-fix-make-dist.patch: added missed files to SOURCES and
    EXTRA_DIST
  + siefs-0.4-fix-configure.patch: fix CFLAGS override and
    -I/usr/include problem
  + siefs-0.4-fix-undeclared.patch: added #include to fix missing
    prototypes
  + siefs-0.4-fix-slow-tx.patch: fix very slow transfer to mobile when
    USB cable is used
  + siefs-0.4-fix-qwe3-close.patch: fix AT^SQWE=3 protocol close sequence
  + siefs-0.4-fuse22.patch: compatibility with avfs-fuse 2.2
  + siefs-0.4-man-pages.patch: add man page for siefs
- Updated Requires and BuildRequires.

* Thu Mar 18 2004 Alexander Nekrasov <canis@altlinux.ru> 0.2-alt4
- vmo2wav is excluded, as is duplicated in obexftp packages

* Wed Jan 28 2004 Alexander Nekrasov <canis@altlinux.ru> 0.2-alt3
- description had been corrected

* Wed Jan 28 2004 Alexander Nekrasov <canis@altlinux.ru> 0.2-alt2
- build requires had been added

* Fri Jan 16 2004 Alexander Nekrasov <canis@altlinux.ru> 0.2-alt1
- new version
- support of new mobiles had been added
- new utility - voice memo converter (vmo2wav)

* Mon Dec 01 2003 Alexander Nekrasov <canis@altlinux.ru> 0.1-alt3
- symbolical link "mount.siefs" is forming automatically now

* Fri Nov 07 2003 Alexander Nekrasov <canis@altlinux.ru> 0.1-alt2
- the dependencys are corrected

* Thu Nov 06 2003 Alexander Nekrasov <canis@altlinux.ru> 0.1-alt1
- first build

